Bug 138440 - www/woof: Install currently broken, trivial fix
Summary: www/woof: Install currently broken, trivial fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-01 11:00 UTC by dereckson
Modified: 2009-09-03 04:30 UTC (History)
0 users

See Also:


Attachments
file.diff (313 bytes, patch)
2009-09-01 11:00 UTC, dereckson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dereckson 2009-09-01 11:00:15 UTC
The woof port install the executable as data and not script, so the chmod doesn't allow execution

Fix: Replace INSTALL_DATE by INSTALL_SCRIPT in Makefile's do-install section (cf. patch)

Patch attached with submission follows:
How-To-Repeat: make install
rehash
woof
Comment 1 Dmitry Marakasov freebsd_committer 2009-09-02 21:12:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-09-03 04:29:20 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2009-09-03 04:29:25 UTC
amdmi3      2009-09-03 03:29:17 UTC

  FreeBSD ports repository

  Modified files:
    www/woof             Makefile 
  Log:
  - Install script with correct permssions
  
  PR:             138440
  Submitted by:   Dereckson <dereckson@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.2       +5 -4      ports/www/woof/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"